package cn.com.qmth.examcloud.core.oe.task.service.impl;

import cn.com.qmth.examcloud.core.oe.student.dao.ExamCaptureQueueRepo;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ExamCaptureQueueStatus;
import cn.com.qmth.examcloud.core.oe.task.service.ExamCaptureQueueService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author chenken
 * @date 2018/8/17 14:48
 * @company QMTH
 * @description 考试抓拍处理队列服务实现
 */
@Service("examCaptureQueueService")
public class ExamCaptureQueueServiceImpl implements ExamCaptureQueueService {

    private static final Logger log = LoggerFactory.getLogger(ExamCaptureQueueServiceImpl.class);

    @Autowired
    private ExamCaptureQueueRepo examCaptureQueueRepo;

    @Override
    public boolean saveExamCaptureQueueEntityByFailed(Long captureQueueId, String errorMsg,
                                                      ExamCaptureQueueStatus examCaptureQueueStatus) {
        try {
            examCaptureQueueRepo.saveExamCaptureQueueEntityByFailed(captureQueueId, errorMsg, examCaptureQueueStatus.toString(),
                    "000000", new Date());
            return true;
        } catch (Exception e) {
            log.error("[UPDATE_FAILED_CAPTURE_QUEUE] 保存照片队列处理失败数据时出现异常", e);
            return false;
        }
    }

}
